Docs Fal.ai /fal-ai/nano-banana
API reference

/fal-ai/nano-banana Wen Sheng Tu

Official documentation: https://fal.ai/models/fal-ai/nano-banana

POST/fal-ai/nano-banana

Body Parametersapplication/json

num_images integer

Number of images generated. Range value 1-4. Default value: 1

prompt* string

Generate prompt words for pictures.

Responses

200 application/json
response-200 object
properties
cancel_url* string

Task cancellation URL

logs* array nullable

Run logs

metrics* object

Run metrics

queue_position* integer

Queue position

request_id* string

Request trace ID

response_url* string

Result query URL

status* string

Status

status_url* string

Status query URL

400 Bad request or validation failed application/json
response-400 object
properties
error* object
Request Body Example
1{
2"num_images": 1,
3"prompt": "An action shot of a black lab swimming in an inground suburban swimming pool. The camera is placed meticulously on the water line, dividing the image in half, revealing both the dogs head above water holding a tennis ball in it's mouth, and it's paws paddling underwater."
4}
Code Sample cURL
1curl -X POST "https://api.digislash.com/fal-ai/nano-banana" \
2-H "Content-Type: application/json" \
3-d '{
4"num_images": 1,
5"prompt": "An action shot of a black lab swimming in an inground suburban swimming pool. The camera is placed meticulously on the water line, dividing the image in half, revealing both the dogs head above water holding a tennis ball in it's mouth, and it's paws paddling underwater."
6}'
Response
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/nano-banana/requests/e7e9202c-efb8-40f2-81c3-13b3f7aaa4ca/cancel",
3"logs": [],
4"metrics": {},
5"queue_position": 0,
6"request_id": "e7e9202c-efb8-40f2-81c3-13b3f7aaa4ca",
7"response_url": "https://queue.fal.run/fal-ai/nano-banana/requests/e7e9202c-efb8-40f2-81c3-13b3f7aaa4ca",
8"status": "IN_QUEUE",
9"status_url": "https://queue.fal.run/fal-ai/nano-banana/requests/e7e9202c-efb8-40f2-81c3-13b3f7aaa4ca/status"
10}